Subject: [Netconf] Netconf-partial-lock comment/discuss

From: Balazs Lengyel <[email-masked]>
Date: Mon, 19 Oct 2009 13:56:23 +0200

Hello Pasi,
In the tracker https://datatracker.ietf.org/idtracker/ballot/3035 about the 
draft-ietf-netconf-partial-lock-09 you have the comment:

"Discuss [2009-08-10]:
I have reviewed draft-ietf-netconf-partial-lock-09, and have
one question/concern that I'd like to discuss before recommending
approval of the document:

I'm having trouble getting the following XML snippets through a
validator: the rpc-reply example in Section 2.4.1.1, step 4 in
Appendix C, and step 7 in Appendix C. I'm not sure if this is
a problem in the examples, the schema, or my validation setup,
though...
"

ANSWER: The <DATA> element is intentionally missing as the RFC4741 XSD is faulty. This is now 
mentioned explicitly in the draft:

Note: The XML Schema in [NETCONF] has a known bug which requires the
    <data> XML element in a <rpc-reply>.  This means that the above
    examples will not validate using the XML Schema found in [NETCONF].

Please indicate if you can this answer?

regards Balazs

-- 
Balazs Lengyel                       Ericsson Hungary Ltd.
System Manager
ECN: 831 7320                        Fax: +36 1 4377792
Tel: +36-1-437-7320                  email: [email-masked]

---

From: <[email-masked]>
Date: Mon, 19 Oct 2009 14:02:49 +0200

Hi Balazs,

The next text looks OK, and I've cleared my DISCUSS.

Best regards,
Pasi

> -----Original Message-----
> From: ext Balazs Lengyel [mailto:[email-masked]]
> Sent: 19 October, 2009 14:56
> To: [email-masked]; Eronen Pasi (Nokia-NRC/Helsinki)
> Cc: netconf mailing list; [email-masked]
> Subject: Netconf-partial-lock comment/discuss
> 
> Hello Pasi,